curl --location --request GET 'https://api.revocalize.ai/check-task/12345'
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>'
{
"status": "completed",
"input_audio_url": "https://cdn.revocalize.ai/12345/input.wav",
"output_audio_urls": [
"https://cdn.revocalize.ai/12345/output.wav"
],
"output_settings": [
"model": "andra"
"transpose": -3,
"vocal_style": "melodic"
]
}
{
"status": "in_progress"
}
{
"status": "failed"
}
Voice Conversion API
Check Task Status
This endpoint checks the status of a conversion task. This is useful if you want to check the status of a task that you submitted to the convert audio file endpoint.
GET
/
check-task
/
{task_id}
curl --location --request GET 'https://api.revocalize.ai/check-task/12345'
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>'
{
"status": "completed",
"input_audio_url": "https://cdn.revocalize.ai/12345/input.wav",
"output_audio_urls": [
"https://cdn.revocalize.ai/12345/output.wav"
],
"output_settings": [
"model": "andra"
"transpose": -3,
"vocal_style": "melodic"
]
}
{
"status": "in_progress"
}
{
"status": "failed"
}
Request
string
required
The task ID for the task you want to check the status of. This is generated in the response of the
/convert endpoint.Response
string
Indicates the status of the task. Possible values are
completed, in_progress, and failed.string
The URL of the input audio file that was submitted for conversion.
array
An array with URLs for the converted vocal audio files, if the conversion was successful. Unless the
generations_count parameter was set higher than 1, in the convert audio file request, this array will only contain one URL.object
The output settings used for the conversion task. This object contains the following properties:
Show output settings object
Show output settings object
string
The ID of the model used for the conversion task.
integer
The number of semitones the input audio was transposed by during the conversion task. A positive value indicates an upward transposition, while a negative value indicates a downward transposition.
string
The vocal style used for the conversion task. Possible values are
melodic, rhythmic, and spoken.curl --location --request GET 'https://api.revocalize.ai/check-task/12345'
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>'
{
"status": "completed",
"input_audio_url": "https://cdn.revocalize.ai/12345/input.wav",
"output_audio_urls": [
"https://cdn.revocalize.ai/12345/output.wav"
],
"output_settings": [
"model": "andra"
"transpose": -3,
"vocal_style": "melodic"
]
}
{
"status": "in_progress"
}
{
"status": "failed"
}